{% comment %}ly_global_begin{% endcomment %}{% include 'ly-global' %}{% comment %}ly_global_end{% endcomment %}
<section id="PageContainer" class="homepage-slider">
  <div class="section-progress"></div>
  <div class="section-slider">
    {% for block in section.blocks %}
      {% assign z = forloop.length | minus: forloop.index | plus: 1 %}

      {% if block.type == 'image' %}
        {% if block.settings.slide_link %}
          <a class="slide-link" href="{{ block.settings.slide_link }}">
        {% endif %}
          <div  class="slide image-slide image-{{ block.settings.slide_image_position }} text-{{ block.settings.slide_text_position }}"
                style="z-index: {{ z }};"
                data-desktop-image="{{ block.settings.slide_desktop_image | img_url: 'master' }}"
                data-mobile-image="{{ block.settings.slide_mobile_image | img_url: 'master' }}"
                data-color="{{ block.settings.slide_color }}"
                data-text-color="{{ block.settings.slide_text_color }}">

            {% if block.settings.slide_image_position != 'full-width' %}
              <div class="slide-image-container">
                <img class="slide-image" />
              </div>
            {% endif %}

            {% if block.settings.slide_image_overlay %}
              <div class="slide-overlay"></div>
            {% endif %}

            <div class="text-block" style="color: {{ block.settings.slide_text_color }}">
              <div class="description">{{ block.settings.slide_subtitle }}</div>
              <div class="title">{{ block.settings.slide_title }}</div>

              {% if block.settings.slide_text_position != 'centered' and block.settings.slide_link %}
                <div class="arrow">→</div>
              {% endif %}
            </div>
          </div><!-- ".slide" -->
        {% if block.settings.slide_link %}
          </a>
        {% endif %}
      {% endif %}

      {% if block.type == 'contact' %}
        <div  class="slide full-width content-contact image-full-width"
              style="z-index: {{ z }};"
              data-text-color="white"
              data-logo-color="#ad966c">

              <div class="contact-image"
              data-desktop-image="{{ block.settings.contact_desktop_image | img_url: 'master' }}"
              data-mobile-image="{{ block.settings.contact_mobile_image | img_url: 'master' }}"></div>

              <div class="contact-info">
                <div class="address contact-section">
                  <div class="contact-header">
                    <label><ly-as-10725398>Visit the Mile End Shop</ly-as-10725398></label>
                  </div>
                  <div class="contact-body">
                    <div class="contact-body-block">
                      <a href="https://www.google.com/maps/place/5200+Rue+Clark,+Montr%C3%A9al,+QC+H2T+2V2,+Canada/data=!4m2!3m1!1s0x4cc9197e7ff7f35f:0xe0a3b3b8c15b70ce?sa=X&ved=0ahUKEwjt1a27v9bRAhUn0oMKHYHICp4Q8gEIHDAA" class="text-link"><p><ly-as-10725399>5200 Clark Street, Montreal Quebec Canada H2T 2V2</ly-as-10725399></p></a>
                      <p>514.508.6090</p>
                    </div>
                  </div>
                </div>
                <div class="hours contact-section">
                  <div class="contact-header">
                    <label><ly-as-10725400>Hours</ly-as-10725400></label>
                  </div>
                  <div class="contact-body">
                    <div class="contact-body-block">
                      <p><ly-as-10725401>M: Closed</ly-as-10725401></p>
                      <p><ly-as-10725402>T: 11:00-6:00pm</ly-as-10725402></p>
                    </div>
                    <div class="contact-body-block">
                      <p><ly-as-10725403>W: 11:00-6:00pm</ly-as-10725403></p>
                      <p><ly-as-10725404>T: 11:00-8:00pm</ly-as-10725404></p>
                    </div>
                    <div class="contact-body-block">
                      <p><ly-as-10725405>F: 11:00-8:00pm</ly-as-10725405></p>
                      <p><ly-as-10725406>S/S: 11:00-5:00pm</ly-as-10725406></p>
                    </div>
                  </div>
                </div>
              </div><!-- ".contact-info" -->
        </div><!-- ".content-contact" -->
      {% endif %}

      {% if block.type == 'footer' %}
        <div  class="slide full-width content-footer"
              style="z-index: {{ z }}; color: {{ block.settings.footer_text_color }};"
              data-color="{{ block.settings.footer_color }}"
              data-text-color="white"
              data-logo-color="#ad966c">

              <div class="footer-tagline">
                <span class="tagline">{{ block.settings.footer_tagline }}</span>
                <div class="separateur">
                  {% comment %}ly_asset_replace_for_[ 'separateur.png' | asset_url | img_tag ]_begin{% endcomment %}{% assign ly_asset = 'separateur.png' %}{% include 'ly-asset' with ly_asset %}{{ ly_translation  | img_tag }}{% comment %}ly_asset_replace_end{% endcomment %}
                </div>
              </div><!-- ".footer-tagline" -->

              <div class="footer-newsletter">

            <!-- Begin MailChimp Signup Form -->
              <div id="mc_embed_signup" style="display: none;">
              <form action="//clarkstreetmercantile.us14.list-manage.com/subscribe/post?u=2631b9e9fd0784ae72e0023c6&id=1a56b04bf2" method="post" id="mc-embedded-subscribe-form" name="mc-embedded-subscribe-form" class="validate" target="_blank" novalidate>
                  <div id="mc_embed_signup_scroll">
                
              <div class="mc-field-group">
                <!-- <label for="mce-EMAIL"><ly-as-10725407>Email Address</ly-as-10725407></label> -->
                <input  type="email" 
                        value="" 
                        name="EMAIL"  
                        id="mce-EMAIL"
                        style="border-color: {{ block.settings.footer_color_text }};"
                        placeholder="<ly-as-10725418>Enter your email for updates</ly-as-10725418>">
              </div>
                <div id="mce-responses" class="clear">
                  <div class="response" id="mce-error-response" style="display:none"></div>
                  <div class="response" id="mce-success-response" style="display:none"></div>
                </div>    <!-- real people should not fill this in and expect good things - do not remove this or risk form bot signups-->
                  <div style="position: absolute; left: -5000px;" aria-hidden="true"><input type="text" name="b_2631b9e9fd0784ae72e0023c6_1a56b04bf2" tabindex="-1" value=""></div>
                  <div class="clear"><input type="submit" value="<ly-as-10725417>Subscribe</ly-as-10725417>" name="subscribe" id="mc-embedded-subscribe" class="button"></div>
                  </div>
              </form>
              </div>

              <!--End mc_embed_signup-->
              <div class="field-group">
                <form class="newsletter-form" id="footer-newsletter-form">
                  <div class="form-entry">
                    <span class="error"><ly-as-10725408>Please enter a valid email address</ly-as-10725408></span>
                    <input  type="email"
                            class="newsletter-input white"
                            id="footer-newsletter-input"
                            placeholder="<ly-as-10725418>Enter your email for updates</ly-as-10725418>"
                            name="email" />
                    <input type="submit" value="<ly-as-10725417>Subscribe</ly-as-10725417>" style="visibility: hidden; position: absolute; right: 1000px;" />
                  </div>
                  <div class="form-success">
                    <label><ly-as-10725409>Thank you!</ly-as-10725409></label>
                    <h5><ly-as-10725410>You are now signed up. We look forward to helping you.</ly-as-10725410></h5>
                  </div><!-- ".form-success" -->
                </form>
              </div><!-- ".field-group" -->
            </div><!-- ".footer-newsletter" -->

          <div class="footer-items">
            <div class="footer-social">
              <div class="footer-social-container">
                <a href="https://www.instagram.com/mercantilemtl/?hl=en" target="_blank">
                  <div class="footer-social-item footer-twitter">
                    {% comment %}ly_asset_replace_for_[ 'icon-instagram.svg' | asset_url | img_tag ]_begin{% endcomment %}{% assign ly_asset = 'icon-instagram.svg' %}{% include 'ly-asset' with ly_asset %}{{ ly_translation  | img_tag }}{% comment %}ly_asset_replace_end{% endcomment %}
                  </div><!-- ".footer-social-item" -->
                </a>
                <a href="https://www.facebook.com/ClarkStreetMercantile/" target="_blank">
                  <div class="footer-social-item">
                    {% comment %}ly_asset_replace_for_[ 'icon-facebook.svg' | asset_url | img_tag ]_begin{% endcomment %}{% assign ly_asset = 'icon-facebook.svg' %}{% include 'ly-asset' with ly_asset %}{{ ly_translation  | img_tag }}{% comment %}ly_asset_replace_end{% endcomment %}
                  </div><!-- ".footer-social-item" -->
                </a>
                <a href="https://twitter.com/mercantilemtl?lang=en" target="_blank">
                  <div class="footer-social-item">
                    {% comment %}ly_asset_replace_for_[ 'icon-twitter.svg' | asset_url | img_tag ]_begin{% endcomment %}{% assign ly_asset = 'icon-twitter.svg' %}{% include 'ly-asset' with ly_asset %}{{ ly_translation  | img_tag }}{% comment %}ly_asset_replace_end{% endcomment %}
                  </div><!-- ".footer-social-item" -->
                </a>
              </div><!-- ".footer-social-container" -->
            </div><!-- ".footer-social" -->

            <div class="footer-menu">
              <span class="footer-menu-item"><a class="text-link" href="/pages/contact"><ly-as-10725411>Contact</ly-as-10725411></a></span>
              <span class="footer-menu-item"><a class="text-link" href="/pages/shipping-and-returns"><ly-as-10934236>Shipping & Returns</ly-as-10934236></a></span>
              <span class="footer-menu-item"><a class="text-link" href="/pages/terms-conditions"><ly-as-10934237>Terms & Conditions</ly-as-10934237></a></span>
            </div><!-- ".footer-menu" -->

            <div class="footer-copyright">
              <span class="copyright"><ly-as-10934238>© 2017 Clark Street Mercantile Co.</ly-as-10934238></span>
              <span class="credits"><ly-as-10725415>Site by</ly-as-10725415> <a href="http://zero.nyc/" target="_blank"><ly-as-10725416>Zero</ly-as-10725416></a></span>
            </div><!-- ".footer-copyright" -->
          </div>

        </div><!-- ".slide" -->
      {% endif %}

    {% endfor %}
  </div><!-- ".section-slider" -->
</section><!-- ".homepage-slider" -->

{% schema %}
{
  "name": "Slideshow",
  "class": "section-slider",
  "blocks": [
    {
      "type": "image",
      "name": "Slide",
      "settings": [
        {
          "id": "slide_title",
          "type": "text",
          "label": "Slide Title",
          "placeholder": "CSM SS/16"
        },
        {
          "id": "slide_subtitle",
          "type": "text",
          "label": "Slide Subtitle",
          "placeholder": "New-in"
        },
        {
          "id": "slide_image_position",
          "type": "radio",
          "label": "Image Position",
          "options": [
            { "value": "full-width", "label": "Full-width" },
            { "value": "half-right", "label": "Half-image on right" },
            { "value": "half-left", "label": "Half-image on left" }
          ],
          "default": "full-width"
        },
        {
          "id": "slide_text_position",
          "type": "radio",
          "label": "Text Position",
          "options": [
            { "value": "bottom-left", "label": "Bottom-left" },
            { "value": "bottom-right", "label": "Bottom-right" },
            { "value": "centered", "label": "Centered" }
          ],
          "default": "bottom-left"
        },
        {
          "id": "slide_link",
          "type": "url",
          "label": "Slide Link"
        },
        {
          "id": "slide_color",
          "type": "color",
          "label": "Slide Color",
          "default": "#000000"
        },
        {
          "id": "slide_text_color",
          "type": "color",
          "label": "Text Color",
          "default": "#ffffff"
        },
        {
          "id": "slide_desktop_image",
          "type": "image_picker",
          "label": "Desktop Image"
        },
        {
          "id": "slide_mobile_image",
          "type": "image_picker",
          "label": "Mobile Image"
        },
        {
          "id": "slide_image_overlay",
          "type": "checkbox",
          "label": "Slide Overlay",
          "default": false,
          "info": "Check to apply translusent black overlay on image to make white text clearer."
        }
      ]
    },
    {
      "type": "contact",
      "name": "Contact",
      "settings": [
        {
          "id": "contact_desktop_image",
          "type": "image_picker",
          "label": "Desktop Image"
        },
        {
          "id": "contact_mobile_image",
          "type": "image_picker",
          "label": "Mobile Image"
        }
      ]
    },
    {
      "type": "footer",
      "name": "Footer",
      "settings": [
        {
          "id": "footer_tagline",
          "type": "text",
          "label": "Footer Tagline",
          "placeholder": "Take Pride In What You Own"
        },
        {
          "id": "footer_color",
          "type": "color",
          "label": "Footer Color",
          "default": "#000000"
        },
        {
          "id": "footer_text_color",
          "type": "color",
          "label": "Text Color",
          "default": "#ffffff"
        }
      ]
    }
  ],
  "presets": [
    {
      "name": "CSM Slideshow",
      "category": "CSM Layout"
    }
  ]
}
{% endschema %}